<template>
  <b-page @bPageLoaded="voiceCallback"></b-page>
  <count-down times=300 bottomOffset="10" rightOffset="10" fontSize="24" ref="child"></count-down>
    <div  class="back" style="height: 100%;" >

        <div class="topTitle">
          法人扫描委托书原件或复印件
        </div>

        <div class="middle">
            <div class="left">
                <img  src="../assets/images/scanner.png">
            </div>
            <div class="centre">
                <span class="centreSpan">扫描文件</span>
                <img  src="../assets/images/arrows.png">
            </div>
            <div class="right">
                <span class="rightSpan">法人+委托书原件或复印件</span>
                <img  src="../assets/images/copies2.png">
            </div>
        </div>


      <div class="btnNext">
        <img class="imgButton" @click="upStep" src="../assets/images/btn/btnUpStep.png">
        <img class="imgButton" style="padding-left: 20px" @click="nextStep" src="../assets/images/btn/btnNext.png">
      </div>

    </div>
</template>
<script>

import BPage from "@/components/registerVoice";

export default{
  components: {
    BPage,
  },

  data() {
    return {

    }
  },

  methods:{
    //上一步
    upStep(){
      this.$router.back();
    },

    //下一步
    nextStep(){
      this.$router.push({path:'/userScanMaterial',query:{scanType:2}});
    },

    //语音回调（只处理下一步和退出）
    voiceCallback(res){
      if (res=="nextStep"){
        this.nextStep();
      }

      if (res=="quit"){
        if(robotType){
          robotsdk.closeExternalApp({
            mode:0
          });
        }
      }
    }

  }
}
</script>
<style scoped>

.back{
  background-image: url('../assets/images/background.png');
  background-repeat:no-repeat;
  background-size:100% 100%;
  background-size: cover;
  overflow:auto;
}
.topTitle{
  font-size: 30px;
  color: #FFFFFF;
  padding-top:60px;
}
.middle{
  padding-left: 60px;
}
.left{
  float: left;
  padding-top:160px;
}
.centre{
  float: left;
  padding-top:220px;
}
.right{
  float: left;
  padding-left:35px;
  padding-top:200px;
}
.btnNext{
  position: absolute;
  padding-top: 600px;
  padding-left: 350px;
}
.centreSpan{
  position: absolute;
  font-size: 30px;
  color: #ffffff;
  padding-left: 90px;
}
.rightSpan{
  position: absolute;
  font-size: 22px;
  color: #ffffff;
  padding-top: 155px;
  padding-left: 28px;
}

</style>